[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.EnumFontFamiliesEx

Invokes a callback function for every available font that matches certain criteria.

## Declaration

Source position: winapih.inc line 93

`public function TWidgetSet.EnumFontFamiliesEx(`
`DC: HDC;`
`lpLogFont: PLogFont;`
`Callback: FontEnumExProc;`
`Lparam: LPARAM;`
`Flags: dword`
`):LongInt; virtual;`

## Arguments

`DC` |  | The device context.
`lpLogFont` |  | Description of the desired fonts.
`Callback` |  | The callback function.
`Lparam` |  | Data passed to the callback function.

## Function result

The last value returned by the callback function.